<?php


namespace App\Entities\RespostaNumericaDecimal;


use App\Utils\Builder;

class RespostaNumericaDecimalBuilder implements Builder
{

    protected $id;
    protected $id_resposta_formulario;
    protected $resposta;

    public function setId(int $id): RespostaNumericaDecimalBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdRESPOSTAFORMULARIO(int $id_resposta_formulario): RespostaNumericaDecimalBuilder
    {
        $this->id_resposta_formulario = $id_resposta_formulario;
        return $this;
    }

    public function setResposta(float $resposta): RespostaNumericaDecimalBuilder
    {
        $this->resposta = $resposta;
        return $this;
    }

    public function build(): RespostaNumericaDecimal
    {
        $resposta_numerica_decimal = new RespostaNumericaDecimal();
        if (isset($this->id)) {
            $resposta_numerica_decimal->setid($this->id);
        }
        if (isset($this->id_resposta_formulario)) {
            $resposta_numerica_decimal->setidRESPOSTAFORMULARIO($this->id_resposta_formulario);
        }
        if (isset($this->resposta)) {
            $resposta_numerica_decimal->setresposta($this->resposta);
        }
        return $resposta_numerica_decimal;
    }


}